Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Returns the storage manager overview with high level details about the storage devices


GET
/api/v1/{tenantId}/storage-manager/overview

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string

OK

object
deviceOverviews
Array<object>
nullable
object
id
string
nullable
status
string
nullable
slots
integer format: int32
nullable
used
integer format: int32
nullable
tempC
number format: double
nullable
co2
number format: double
nullable
rh
number format: double
nullable
accessAvgSeconds
number format: double
nullable
accessMinSeconds
number format: double
nullable
accessMaxSeconds
number format: double
nullable
throughputPerHour
number format: double
nullable
errors24h
integer format: int32
nullable
uptimePercent
number format: double
nullable
lastAccessedAt
string format: date-time
nullable
labwareMix
Array<string>
nullable
stores
Array<object>
nullable
object
storeId
string
nullable
slots
integer format: int32
used
integer format: int32
occupancyTrend24h
Array<number>
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable